com.ibm.openpages.api.audit

## Class AuditLogFilter

- java.lang.Object
- - com.ibm.openpages.api.audit.AuditLogFilter

-     public class AuditLogFilter
      extends java.lang.Object

  Filtering class for AuditLog. Note the Start and End Date ranges for Audit Logs are only precise to the second.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuditLogFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AssociationFilter` | `getAssociationFilter()` Returns the association filter.
    `java.util.Date` | `getEndDate()`
    `java.util.Set<IFieldDefinition>` | `getFieldFilters()` Returns a unique list of field definition used as filters.
    `IReportingPeriod` | `getReportingPeriod()` Returns the reporting period label.
    `java.util.Date` | `getStartDate()` Gets the start date for logs retrieval.
    `java.lang.Boolean` | `isFilterByDates()`
    `java.lang.Boolean` | `isFilterByReportingPeriod()`
    `void` | `setEndDate(java.util.Date endDate)` Sets the end date for logs retrieval.
    `void` | `setFieldFilters(IFieldDefinition... fieldDefinitions)` Sets the list of field filters to include.
    `void` | `setReportingPeriod(IReportingPeriod reportingPeriod)` Sets the reporting period.
    `void` | `setStartDate(java.util.Date startDate)` Sets the start date for logs retrieval.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuditLogFilter

          public AuditLogFilter()

  - ### Method Detail

    - #### getReportingPeriod

          public IReportingPeriod getReportingPeriod()

      Returns the reporting period label.
      Returns:
        the reporting period label. If the current reporting period, the label is null; otherwise it contains the label for the reporting period. By default, this value is set to null.

    - #### setReportingPeriod

          public void setReportingPeriod(IReportingPeriod reportingPeriod)

      Sets the reporting period. Sets the filter by dates to false.
      Parameters:
        `reportingPeriod` - the reporting period to use

    - #### getFieldFilters

          public java.util.Set<IFieldDefinition> getFieldFilters()

      Returns a unique list of field definition used as filters.
      Returns:
        a unique list of field definition used as filters. An empty list of field filters indicates that all fields will be included.

    - #### setFieldFilters

          public void setFieldFilters(IFieldDefinition... fieldDefinitions)

      Sets the list of field filters to include. Field filters are field system names.
      Parameters:
        `fieldDefinitions` - one or more field system names to include

    - #### getAssociationFilter

          public AssociationFilter getAssociationFilter()

      Returns the association filter.
      Returns:
        the association filter

    - #### getStartDate

          public java.util.Date getStartDate()

      Gets the start date for logs retrieval.
      Returns:
        startDate

    - #### setStartDate

          public void setStartDate(java.util.Date startDate)

      Sets the start date for logs retrieval. Sets the filterByReportingPeriod to false.
      Parameters:
        `startDate` - start date to set

    - #### getEndDate

          public java.util.Date getEndDate()

    - #### setEndDate

          public void setEndDate(java.util.Date endDate)

      Sets the end date for logs retrieval. Sets the filterByReportingPeriod to false.
      Parameters:
        `endDate` - end date to be set

    - #### isFilterByDates

          public java.lang.Boolean isFilterByDates()

    - #### isFilterByReportingPeriod

          public java.lang.Boolean isFilterByReportingPeriod()

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2020. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.